"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var SwitchSelector_styled_1 = require("./SwitchSelector.styled");
var classNamesPrefix = "react-switch-selector";
var SwitchSelector = function (props) {
    var _a = props.onChange, onChange = _a === void 0 ? function (value) { return (console.log(value)); } : _a, _b = props.options, options = _b === void 0 ? [] : _b, _c = props.initialSelectedIndex, initialSelectedIndex = _c === void 0 ? 0 : _c;
    var _d = React.useState(initialSelectedIndex), selectedIndex = _d[0], setSelectedIndex = _d[1];
    var _e = props.border, border = _e === void 0 ? 0 : _e, _f = props.backgroundColor, backgroundColor = _f === void 0 ? "#ecf0f1" : _f, _g = props.selectedBackgroundColor, selectedBackgroundColor = _g === void 0 ? "#2ecc71" : _g, _h = props.wrapperBorderRadius, wrapperBorderRadius = _h === void 0 ? 20 : _h, _j = props.optionBorderRadius, optionBorderRadius = _j === void 0 ? 18 : _j, _k = props.fontSize, fontSize = _k === void 0 ? 14 : _k, _l = props.fontColor, fontColor = _l === void 0 ? "#000" : _l, _m = props.selectedFontColor, selectedFontColor = _m === void 0 ? "#fff" : _m, _o = props.selectionIndicatorMargin, selectionIndicatorMargin = _o === void 0 ? 2 : _o;
    var handleOnClick = function (idx) {
        if (idx !== selectedIndex) {
            setSelectedIndex(idx);
            onChange(options[idx].value);
        }
    };
    var renderOptions = function () {
        return options.map(function (option, idx) {
            var _optionId = "rss-option-" + idx;
            return (React.createElement(SwitchSelector_styled_1.OptionItem, { key: _optionId, optionsAmount: options.length, className: classNamesPrefix + "-option", optionBorderRadius: optionBorderRadius },
                React.createElement(SwitchSelector_styled_1.OptionItemLabel, { className: classNamesPrefix + "-option-label", selected: selectedIndex === idx, fontSize: fontSize, fontColor: option.fontColor || fontColor, selectedFontColor: option.selectedFontColor || selectedFontColor },
                    React.createElement(SwitchSelector_styled_1.OptionInput, { type: "radio", id: _optionId, onChange: function () { return handleOnClick(idx); }, checked: selectedIndex === idx }),
                    option.label)));
        });
    };
    if (!options.length)
        return null;
    return (React.createElement(SwitchSelector_styled_1.SwitchSelectorWrapper, { selectedIndex: selectedIndex, optionsAmount: options.length, className: classNamesPrefix + "-wrapper", border: border, backgroundColor: backgroundColor, selectedBackgroundColor: options[selectedIndex].selectedBackgroundColor || selectedBackgroundColor, wrapperBorderRadius: wrapperBorderRadius, optionBorderRadius: optionBorderRadius, selectionIndicatorMargin: selectionIndicatorMargin }, renderOptions()));
};
exports.default = SwitchSelector;
//# sourceMappingURL=SwitchSelector.js.map